id: agaric_comment
migration_group: agaric
label: Agaric Comments
source:
  plugin: d7_comment
  constants:
    entity_type: node
    comment_type: comment
    default_pid: 0
process:
  # All the threads are going to be flatten.
  pid: 'constants/default_pid'
  entity_id:
    -
      plugin: migration_lookup
      migration:
        - agaric_page
        - agaric_blog
      source_ids:
        agaric_page:
          - nid
        agaric_blog:
          - nid
      no_stub: true
    -
      plugin: skip_on_empty
      method: row
  entity_type: 'constants/entity_type'
  comment_type: 'constants/comment_type'
  field_name: '@comment_type'
  subject: subject
  uid:
    -
      plugin: migration_lookup_with_zero
      migration: agaric_user
      source: uid
      no_stub: true
    -
      plugin: default_value
      default_value: 0
  name: name
  mail: mail
  homepage: homepage
  hostname: hostname
  created: created
  changed: changed
  status: status
  thread: thread
  comment_body/format:
    -
      plugin: extract
      source: comment_body
      index:
        - 0
        - format
    -
      plugin: static_map
      map:
        filtered_html: 'basic_html'
      bypass: TRUE
  comment_body/value:
    -
        plugin: extract
        source: comment_body
        index:
          - 0
          - value
destination:
  plugin: entity:comment
  default_bundle: comment
migration_dependencies:
  required:
    - agaric_blog
    - agaric_page
